## visad.install
Class TestUtil.MakeCopy

    java.lang.Object
      java.lang.Thread
          visad.install.TestUtil.MakeCopy

All Implemented Interfaces:
  Runnable

Enclosing class:
  TestUtil

public class TestUtil.MakeCopy
extends Thread

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`(package private)` `TestUtil.MakeCopy(ProgressMonitor mon, File fromFile, File toFile, String suffix)`

Method Summary
`(package private) boolean` `getResult()`
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestUtil.MakeCopy

    TestUtil.MakeCopy(ProgressMonitor mon,
                      File fromFile,
                      File toFile,
                      String suffix)

Method Detail

### run

    public void run()

### getResult

    boolean getResult()